Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.model
Class ModelEnderman

    java.lang.Object
      net.minecraft.client.model.ModelBase
          net.minecraft.client.model.ModelBiped
              net.minecraft.client.model.ModelEnderman

    public class ModelEnderman

extends ModelBiped

Field Summary
`boolean` | `isAttacking` Is the enderman attacking an entity?
`boolean` | `isCarrying` Is the enderman carrying a block?

Fields inherited from class net.minecraft.client.model.ModelBiped
`aimedBow, bipedBody, bipedCloak, bipedEars, bipedHead, bipedHeadwear, bipedLeftArm, bipedLeftLeg, bipedRightArm, bipedRightLeg, heldItemLeft, heldItemRight, isSneak`

Fields inherited from class net.minecraft.client.model.ModelBase
`boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

Constructor Summary
`ModelEnderman()`

Method Summary
`void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

Methods inherited from class net.minecraft.client.model.ModelBiped
`render, renderCloak, renderEars`

Methods inherited from class net.minecraft.client.model.ModelBase
`func_85181_a, getTextureOffset, setLivingAnimations`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isCarrying

    public boolean isCarrying

  Is the enderman carrying a block?

### isAttacking

    public boolean isAttacking

  Is the enderman attacking an entity?

Constructor Detail

### ModelEnderman

    public ModelEnderman()

Method Detail

### setRotationAngles

    public void setRotationAngles(float par1,
                                  float par2,
                                  float par3,
                                  float par4,
                                  float par5,
                                  float par6,
                                  Entity par7Entity)

  Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.

  Overrides:
    `setRotationAngles` in class `ModelBiped`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD